﻿@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;

<h1>Part Receiving</h1>
<fieldset>
    <table>
        <tr>
            <td colspan="3" align="center" style="padding:10px 10px;">
                @*@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_KANBAN_ID";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 180;
                    settings.Height = 30;
                    settings.Properties.MaxLength = 19;
                    settings.Properties.NullText = "Scan [KANBAN ID]";
                    settings.Properties.ClientSideEvents.TextChanged = "function(s, e) {OnKanbanIDChangeHandler(s);}";
                }).GetHtml()*@
                <input name="I_KANBAN_ID" value="" placeholder="Scan [KANBAN ID]" maxlength="20" id="I_KANBAN_ID_I" @*oninput="OnKanbanIDChangeHandler()"*@ 
                       onkeydown="if (event.keyCode == 13) OnKanbanIDSubmitHandler()" style="width:180px;text-align:center;height:30px;" autocomplete="off" type="text" autofocus>
            </td>
        </tr>
        <tr>
            <td style="padding:5px 10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_KANBAN_NO";
                    Label.Text = "Kanban No";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;">:&nbsp;</td>
            <td style="padding-top:5px;">
               @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_KANBAN_NO";
                    Label.Width = 120;
                }).GetHtml()
            </td>
        </tr>

        <tr>
            <td style="padding:5px 10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_PART_NO";
                    Label.Text = "Part No";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;">:&nbsp;</td>
            <td style="padding-top:5px;">
               @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_PART_NO";
                    Label.Width = 120;
                }).GetHtml()
            </td>

        </tr>
        <tr>
            <td style="padding:5px 10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_DESTINATION";
                    Label.Text = "Destination";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;">:&nbsp;</td>
            <td style="padding-top:5px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_DESTINATION";
                    Label.Width = 120;
                }).GetHtml()
            </td>

        </tr>
        <tr>
            <td style="padding:5px 10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_TRANSPORTATION";
                    Label.Text = "Transportation";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;">:&nbsp;</td>
            <td style="padding-top:5px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_TRANSPORTATION";
                    Label.Width = 120;
                }).GetHtml()
            </td>

        </tr>
        <tr>
            <td style="padding:5px 10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_PRIVILEGE";
                    Label.Text = "Privilege";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;">:&nbsp;</td>
            <td style="padding-top:5px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_PRIVILEGE";
                    Label.Width = 120;
                }).GetHtml()
            </td>

        </tr>
        <tr>
            <td style="padding:5px 10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_HANDLING_TYPE";
                    Label.Text = "Handling Type";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;">:&nbsp;</td>
            <td style="padding-top:5px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_HANDLING_TYPE";
                    Label.Width = 120;
                }).GetHtml()
            </td>

        </tr>
        <tr>
            <td style="padding:5px 10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_PRIORITY";
                    Label.Text = "Priority";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;">:&nbsp;</td>
            <td style="padding-top:5px;">
               @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_PRIORITY";
                    Label.Width = 120;
                }).GetHtml()
            </td>

        </tr>
        <tr>
            <td style="padding:5px 10px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_SHUTTER_NO";
                    Label.Text = "Shutter No";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;">:&nbsp;</td>
            <td style ="padding-top:5px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_SHUTTER_NO";
                    Label.Width = 120;
                }).GetHtml()
            </tdstyle>

        </tr>
        <tr>
            <td style="padding:5px 10px; vertical-align:top;">
                <b style="color:red;">*</b>
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LI_KEY_POINT";
                    Label.Text = "Key Point";
                    Label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding-top:5px;vertical-align:top;">:&nbsp;</td>
            <td style="padding-top:5px;">
                @Html.DevExpress().Label(
                Label =>
                {
                    Label.Name = "LO_KEY_POINT";
                    Label.Width = 120;
                }).GetHtml()
            </td>
        </tr>
    </table>
</fieldset>
<table style="margin-top: 20px; width:100%;">
    <tr>
        <td align="center"  >
            @Html.DevExpress().Label(
            Label =>
            {
                Label.Name = "MSG_TEXT";
                Label.Width = 960;
                Label.ControlStyle.Font.Size = 18;
                Label.ControlStyle.Font.Bold = true;
            }).GetHtml()
        </td>
    </tr>
</table>

@Html.DevExpress().LoadingPanel(
    settings =>
    {
        settings.Name = "LoadingPanel";
        settings.Modal = true;
    }
).GetHtml()
